Github messages for voidlinux
 help / Atom feed
* [ISSUE] when upgrading to Linux 5.2, NVIDIA driver is not loading
@ 2019-09-10 13:14 voidlinux-github
  2019-09-10 13:26 ` voidlinux-github
                   ` (4 more replies)
  0 siblings, 5 replies; 6+ messages in thread
From: voidlinux-github @ 2019-09-10 13:14 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1747 bytes --]

New issue by hesifwood on void-packages repository

https://github.com/void-linux/void-packages/issues/14377

Description:
### System
Void Linux running with NVIDIA GeForce GT 1030 gpu on proprietary drivers. I installed the `nvidia` package when setting up.

* xuname:  
  Void 5.2.13_1 x86_64 GenuineIntel uptodate rFFFF
* package:  
  linux5.2-5.2.13_1, nvidia-430.14_2

### Expected behavior
Being able to get proper resolution like before on 4.19 and open `nvidia-settings` without errors after upgrading to Linux 5.2

### Actual behavior
When GRUB booted to 5.2, the resolution was not like before and running nvidia-settings showed me this error:
```
$ nvidia-settings

ERROR: NVIDIA driver is not loaded


ERROR: Unable to load info from any available system
```

lxrandr was showing resolution 1024x768 under 5.2 and 1366x768 under 4.19.

### Steps to reproduce the behavior

- I upgraded recently with `sudo xbps-install -Syu`
- I had standard Void install, so it automatically installed Linux 5.2 (probably due to [this change](https://github.com/void-linux/void-packages/commit/f42111e9a4deb78c71e30f274f018d20e1b69ee1))
- When I did a reboot it booted into 5.2 and the screen resolution was not ok and nvidia-settings was showing error

I [posted on reddit](https://www.reddit.com/r/voidlinux/comments/d26b25/void_is_booting_into_linux_52_and_nvidia_module/) and got the solution:

```
sudo sh -c "xbps-install -f nvidia-dkms ; depmod -a"
```

Afterwards a reboot made it work fine again. Resolution came back to normal and nvidia-settings was launching without errors. So should this be automatically running somehow? Or if not possible, maybe showing a post-install message would be a good idea?

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: when upgrading to Linux 5.2, NVIDIA driver is not loading
  2019-09-10 13:14 [ISSUE] when upgrading to Linux 5.2, NVIDIA driver is not loading voidlinux-github
@ 2019-09-10 13:26 ` voidlinux-github
  2019-09-10 13:28 ` voidlinux-github
                   ` (3 subsequent siblings)
  4 siblings, 0 replies; 6+ messages in thread
From: voidlinux-github @ 2019-09-10 13:26 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 396 bytes --]

New comment by 123randomuser321 on void-packages repository

https://github.com/void-linux/void-packages/issues/14377#issuecomment-529934024

Comment:
Can second the issue.

During the update itself the dkms module fails to build, but this is known, see: https://github.com/void-linux/void-packages/issues/12959#issuecomment-529855640

I would also recommend a post-install message for this.

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: when upgrading to Linux 5.2, NVIDIA driver is not loading
  2019-09-10 13:14 [ISSUE] when upgrading to Linux 5.2, NVIDIA driver is not loading voidlinux-github
  2019-09-10 13:26 ` voidlinux-github
@ 2019-09-10 13:28 ` voidlinux-github
  2019-09-10 13:45 ` [ISSUE] [CLOSED] " voidlinux-github
                   ` (2 subsequent siblings)
  4 siblings, 0 replies; 6+ messages in thread
From: voidlinux-github @ 2019-09-10 13:28 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 465 bytes --]

New comment by 123randomuser321 on void-packages repository

https://github.com/void-linux/void-packages/issues/14377#issuecomment-529934024

Comment:
Can second the issue.

During the update itself the dkms module fails to build, but this is known, see: https://github.com/void-linux/void-packages/issues/12959#issuecomment-529855640

I would also recommend a post-install message for this.

EDIT: This issue applies to all nvidia*-dkms packages, of course.

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [ISSUE] [CLOSED] when upgrading to Linux 5.2, NVIDIA driver is not loading
  2019-09-10 13:14 [ISSUE] when upgrading to Linux 5.2, NVIDIA driver is not loading voidlinux-github
  2019-09-10 13:26 ` voidlinux-github
  2019-09-10 13:28 ` voidlinux-github
@ 2019-09-10 13:45 ` " voidlinux-github
  2019-09-10 13:45 ` voidlinux-github
  2019-09-10 16:24 ` voidlinux-github
  4 siblings, 0 replies; 6+ messages in thread
From: voidlinux-github @ 2019-09-10 13:45 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1750 bytes --]

Closed issue by hesifwood on void-packages repository

https://github.com/void-linux/void-packages/issues/14377

Description:
### System
Void Linux running with NVIDIA GeForce GT 1030 gpu on proprietary drivers. I installed the `nvidia` package when setting up.

* xuname:  
  Void 5.2.13_1 x86_64 GenuineIntel uptodate rFFFF
* package:  
  linux5.2-5.2.13_1, nvidia-430.14_2

### Expected behavior
Being able to get proper resolution like before on 4.19 and open `nvidia-settings` without errors after upgrading to Linux 5.2

### Actual behavior
When GRUB booted to 5.2, the resolution was not like before and running nvidia-settings showed me this error:
```
$ nvidia-settings

ERROR: NVIDIA driver is not loaded


ERROR: Unable to load info from any available system
```

lxrandr was showing resolution 1024x768 under 5.2 and 1366x768 under 4.19.

### Steps to reproduce the behavior

- I upgraded recently with `sudo xbps-install -Syu`
- I had standard Void install, so it automatically installed Linux 5.2 (probably due to [this change](https://github.com/void-linux/void-packages/commit/f42111e9a4deb78c71e30f274f018d20e1b69ee1))
- When I did a reboot it booted into 5.2 and the screen resolution was not ok and nvidia-settings was showing error

I [posted on reddit](https://www.reddit.com/r/voidlinux/comments/d26b25/void_is_booting_into_linux_52_and_nvidia_module/) and got the solution:

```
sudo sh -c "xbps-install -f nvidia-dkms ; depmod -a"
```

Afterwards a reboot made it work fine again. Resolution came back to normal and nvidia-settings was launching without errors. So should this be automatically running somehow? Or if not possible, maybe showing a post-install message would be a good idea?

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: when upgrading to Linux 5.2, NVIDIA driver is not loading
  2019-09-10 13:14 [ISSUE] when upgrading to Linux 5.2, NVIDIA driver is not loading voidlinux-github
                   ` (2 preceding siblings ...)
  2019-09-10 13:45 ` [ISSUE] [CLOSED] " voidlinux-github
@ 2019-09-10 13:45 ` voidlinux-github
  2019-09-10 16:24 ` voidlinux-github
  4 siblings, 0 replies; 6+ messages in thread
From: voidlinux-github @ 2019-09-10 13:45 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 719 bytes --]

New comment by Duncaen on void-packages repository

https://github.com/void-linux/void-packages/issues/14377#issuecomment-529942368

Comment:
This should be resolved by https://github.com/void-linux/void-packages/commit/9861370eef3b325ef1b716b31cc91ac58fee1c3e.

`xbps-reconfigure -f nvidia-dkms` triggers the xbps dkms hook `/usr/libexec/xbps-triggers/dkms`,
 which already exported `IGNORE_CC_MISMATCH=1`, while the `/etc/kernel.d` hook which triggers dkms rebuilds on kernel updates/installs didn't export it.

So `xbps-install -Su` would rebuild the module using the kernel hook and fails, while `xbps-reconfigure -f nvidia-dkms` uses the other trigger which already makes the dkms script ignore the mismatch.

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: when upgrading to Linux 5.2, NVIDIA driver is not loading
  2019-09-10 13:14 [ISSUE] when upgrading to Linux 5.2, NVIDIA driver is not loading voidlinux-github
                   ` (3 preceding siblings ...)
  2019-09-10 13:45 ` voidlinux-github
@ 2019-09-10 16:24 ` voidlinux-github
  4 siblings, 0 replies; 6+ messages in thread
From: voidlinux-github @ 2019-09-10 16:24 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 183 bytes --]

New comment by 123randomuser321 on void-packages repository

https://github.com/void-linux/void-packages/issues/14377#issuecomment-530015016

Comment:
Thanks for the quick reply/fix!

^ permalink raw reply	[flat|nested] 6+ messages in thread

end of thread, back to index

Thread overview: 6+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-09-10 13:14 [ISSUE] when upgrading to Linux 5.2, NVIDIA driver is not loading voidlinux-github
2019-09-10 13:26 ` voidlinux-github
2019-09-10 13:28 ` voidlinux-github
2019-09-10 13:45 ` [ISSUE] [CLOSED] " voidlinux-github
2019-09-10 13:45 ` voidlinux-github
2019-09-10 16:24 ` voidlinux-github

Github messages for voidlinux

Archives are clonable: git clone --mirror http://inbox.vuxu.org/voidlinux-github

Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/ public-inbox